HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetAccountsAccountCapabilities

Contains the different functions to run the operation getAccountsAccountCapabilities

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetAccountsAccountCapabilities.hs
valuegetAccountsAccountCapabilities
  1. :: MonadHTTP m
  2. => GetAccountsAccountCapabilitiesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetAccountsAccountCapabilitiesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/accounts/{account}/capabilities

<p>Returns a list of capabilities associated with the account. The capabilities are returned sorted by creation date, with the most recent capability appearing first.</p>

Defines the object schema located at paths./v1/accounts/{account}/capabilities.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getAccountsAccountCapabilities.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetAccountsAccountCapabilitiesResponseError is used.

Instances2Eq, Show

Defines the object schema located at paths./v1/accounts/{account}/capabilities.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON